package cn.org.bjca.trust.push.db

import androidx.room.Database
import androidx.room.RoomDatabase
import cn.org.bjca.trust.push.db.device.Device
import cn.org.bjca.trust.push.db.device.DeviceDao
import cn.org.bjca.trust.push.db.message.MessageDao
import cn.org.bjca.trust.push.db.message.SzyxMessage
import cn.org.bjca.trust.push.message.msg.SendMessage

@Database(entities = [Device::class, SzyxMessage::class], version = 1, exportSchema=false)
abstract class PushDatabase : RoomDatabase() {
    abstract fun deviceDao(): DeviceDao
    abstract fun messageDao(): MessageDao
}
